Package com.enonic.xp.region

## Class FragmentComponent

- java.lang.Object
- - com.enonic.xp.region.Component
  - - com.enonic.xp.region.FragmentComponent

-     @PublicApi
      public class FragmentComponent
      extends Component

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FragmentComponent.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FragmentComponent​(FragmentComponent.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FragmentComponent` | `copy()` |
    `static FragmentComponent.Builder` | `create()` |
    `static FragmentComponent.Builder` | `create​(FragmentComponent source)` |
    `boolean` | `equals​(Object o)` |
    `ContentId` | `getFragment()` |
    `ComponentName` | `getName()` | Deprecated.
    `ComponentType` | `getType()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class com.enonic.xp.region.Component

      `getPath, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FragmentComponent

          public FragmentComponent​(FragmentComponent.Builder builder)

  - ### Method Detail

    - #### create

          public static FragmentComponent.Builder create()

    - #### create

          public static FragmentComponent.Builder create​(FragmentComponent source)

    - #### copy

          public FragmentComponent copy()

      Specified by:
        `copy` in class `Component`

    - #### getType

          public ComponentType getType()

      Specified by:
        `getType` in class `Component`

    - #### getName

          @Deprecated
          public ComponentName getName()

      Deprecated.
      Overrides:
        `getName` in class `Component`

    - #### getFragment

          public ContentId getFragment()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Component`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Component`